Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.feed.synd
Class SyndContentImpl

    java.lang.Object
      com.sun.syndication.feed.synd.SyndContentImpl

All Implemented Interfaces:
  CopyFrom<SyndContent>, SyndContent, Serializable, Cloneable

    public class SyndContentImpl

extends Object
implements Serializable, SyndContent

Bean for content of SyndFeedImpl entries.

Author:
  Alejandro Abdelnur
See Also:
  Serialized Form

Constructor Summary
`SyndContentImpl()` Default constructor.

Method Summary
`Object` | `clone()` Creates a deep 'bean' clone of the object.
`void` | `copyFrom(CopyFrom obj)` Copies all the properties of the given bean into this one.
`boolean` | `equals(Object other)` Indicates whether some other object is "equal to" this one as defined by the Object equals() method.
`Class` | `getInterface()` Returns the interface the copyFrom works on.
`String` | `getMode()` Returns the content mode.
`String` | `getType()` Returns the content type.
`String` | `getValue()` Returns the content value.
`int` | `hashCode()` Returns a hashcode value for the object.
`void` | `setMode(String mode)` Sets the content mode.
`void` | `setType(String type)` Sets the content type.
`void` | `setValue(String value)` Sets the content value.
`String` | `toString()` Returns the String representation for the object.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SyndContentImpl

    public SyndContentImpl()

  Default constructor. All properties are set to null.

Method Detail

### clone

    public Object clone()
                 throws CloneNotSupportedException

  Creates a deep 'bean' clone of the object.

  Specified by:
    `clone` in interface `SyndContent`
  Overrides:
    `clone` in class `Object`
  Returns:
    a clone of the object.
  Throws:
    `CloneNotSupportedException` - thrown if an element of the object cannot be cloned.

### equals

    public boolean equals(Object other)

  Indicates whether some other object is "equal to" this one as defined by the Object equals() method.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `other` - he reference object with which to compare.
  Returns:
    true if 'this' object is equal to the 'other' object.

### hashCode

    public int hashCode()

  Returns a hashcode value for the object.

  It follows the contract defined by the Object hashCode() method.

  Overrides:
    `hashCode` in class `Object`
  Returns:
    the hashcode of the bean object.

### toString

    public String toString()

  Returns the String representation for the object.

  Overrides:
    `toString` in class `Object`
  Returns:
    String representation for the object.

### getType

    public String getType()

  Returns the content type.

  When used for the description of an entry, if null 'text/plain' must be assumed.

  Specified by:
    `getType` in interface `SyndContent`
  Returns:
    the content type, null if none.

### setType

    public void setType(String type)

  Sets the content type.

  When used for the description of an entry, if null 'text/plain' must be assumed.

  Specified by:
    `setType` in interface `SyndContent`
  Parameters:
    `type` - the content type to set, null if none.

### getMode

    public String getMode()

  Returns the content mode.

  Specified by:
    `getMode` in interface `SyndContent`
  Returns:
    the content mode, null if none.

### setMode

    public void setMode(String mode)

  Sets the content mode.

  Specified by:
    `setMode` in interface `SyndContent`
  Parameters:
    `mode` - the content mode to set, null if none.

### getValue

    public String getValue()

  Returns the content value.

  Specified by:
    `getValue` in interface `SyndContent`
  Returns:
    the content value, null if none.

### setValue

    public void setValue(String value)

  Sets the content value.

  Specified by:
    `setValue` in interface `SyndContent`
  Parameters:
    `value` - the content value to set, null if none.

### getInterface

    public Class getInterface()

  Description copied from interface: `CopyFrom`
  Returns the interface the copyFrom works on.

  This is useful when dealing with properties that may have multiple implementations. For example, Module.

  Specified by:
    `getInterface` in interface `CopyFrom<SyndContent>`
  Returns:
    the interface the copyFrom works on.

### copyFrom

    public void copyFrom(CopyFrom obj)

  Description copied from interface: `CopyFrom`
  Copies all the properties of the given bean into this one.

  Any existing properties in this bean are lost.

  This method is useful for moving from one implementation of a bean interface to another. For example from the default SyndFeed bean implementation to a Hibernate ready implementation.

  Specified by:
    `copyFrom` in interface `CopyFrom<SyndContent>`
  Parameters:
    `obj` - the instance to copy properties from.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.